package com.ebts.generator.entity;

import com.ebts.common.core.entity.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * top万能查询角色关系对象 gen_search_table_role
 *
 * @author clay
 * @date 2021-07-21
 */
public class SearchTableRole extends BaseEntity{

    /** 表格id */
    private Long searchTableId;

    /** 角色id */
    private Long roleId;

    public SearchTableRole(Long searchTableId, Long roleId) {
        this.searchTableId = searchTableId;
        this.roleId = roleId;
    }

    public SearchTableRole() {

    }

    public void setSearchTableId(Long searchTableId){
        this.searchTableId = searchTableId;
    }

    public Long getSearchTableId(){
        return searchTableId;
    }
    public void setRoleId(Long roleId){
        this.roleId = roleId;
    }

    public Long getRoleId(){
        return roleId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("searchTableId", getSearchTableId())
                .append("roleId", getRoleId())
                .toString();
    }
}